Usage

Get organization usage

AuthBearer (JWT)
GroupUsage
Rate limitSee Rate Limits
GET/api/usage

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, UsageApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const usage = new UsageApi(configuration);
import { Configuration, UsageApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const usage = new UsageApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await usage.getUsage();
const { data: result } = await usage.getUsage();

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Query Parameters

NameTypeRequiredDescription
periodstringNo
startDatestringNo
endDatestringNo

Responses

200Usage statistics
json
{
  "usage": {
    "apiCalls": 50000,
    "storage": 1073741824,
    "bandwidth": 5368709120,
    "databaseReads": 25000,
    "databaseWrites": 5000
  },
  "period": "month",
  "startDate": "2024-01-01T00:00:00.000Z",
  "endDate": "2024-01-31T23:59:59.999Z"
}
{
  "usage": {
    "apiCalls": 50000,
    "storage": 1073741824,
    "bandwidth": 5368709120,
    "databaseReads": 25000,
    "databaseWrites": 5000
  },
  "period": "month",
  "startDate": "2024-01-01T00:00:00.000Z",
  "endDate": "2024-01-31T23:59:59.999Z"
}
503

Errors

CodeMeaning
503
Edit this page on GitHub